summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-10-14 10:59:36 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-10-14 10:59:36 +0000
commit3b9f9480bfcf99fc276871eff8ed23e4947ae7a3 (patch)
treed5c38bf61b3338f808a3e77c45b6464787970866 /eclass/kde.eclass
parentAdd missing libXaw dependency, thanks to Patrick Lauer in bug #150629. (diff)
downloadhistorical-3b9f9480bfcf99fc276871eff8ed23e4947ae7a3.tar.gz
historical-3b9f9480bfcf99fc276871eff8ed23e4947ae7a3.tar.bz2
historical-3b9f9480bfcf99fc276871eff8ed23e4947ae7a3.zip
If an admin dir is found in the work directory, update the local admindir. Simplifies updates (that are quite spread nowadays).
Diffstat (limited to 'eclass/kde.eclass')
-rw-r--r--eclass/kde.eclass9
1 files changed, 8 insertions, 1 deletions
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index 062011230aaa..929e143f0122 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.181 2006/09/23 21:20:35 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.182 2006/10/14 10:59:36 flameeyes Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
@@ -156,6 +156,13 @@ kde_src_unpack() {
debug-print "$FUNCNAME: touching .ui files..."
touch $UIFILES
fi
+
+ if [[ -d "${WORKDIR}/admin" ]] && [[ -d "${KDE_S}/admin" ]]; then
+ ebegin "Updating admin/ directory..."
+ rm -rf "${KDE_S}/admin" "${KDE_S}/configure" || die "Unable to remove old admin/ directory"
+ ln -s "${WORKDIR}/admin" "${KDE_S}/admin" || die "Unable to symlink the new admin/ directory"
+ eend 0
+ fi
}
kde_src_compile() {